@import '~@angular/cdk/overlay-prebuilt.css'; /** Add this only for non-material project */
.detail_wrapper {
    background: #1d2028;
    min-height: 100vh;
    padding-top: 40px;
    .content {
        margin-top: 20px;
        width: 75%;
        margin: auto;
        display: flex;
        flex-direction: column;
        min-height: 700px;
        .header {
            width: 100%;
            display: flex;
            align-items: center;
            justify-content: space-between;
            .text_back {
                font-family: Kanit;
                font-style: normal;
                font-weight: normal;
                font-size: 14px;
                line-height: 21px;
                /* identical to box height */

                /* Text/Light */

                color: #97a3b4;
                cursor: pointer;
            }

            .shared_copy {
                display: flex;
                align-items: center;
                position: relative;
                .social_share {
                    position: absolute;
                    z-index: 9999;
                    top: -70px;
                    right: 0;
                    background: transparent;
                    min-width: 300px;
                    display: flex;
                    align-items: center;
                    justify-content: flex-end;
                    share-button {
                        opacity: 0.8;
                        &:hover {
                            transform: scale(1.1);
                            opacity: 1;
                        }
                    }
                }
                span {
                    font-family: Kanit;
                    font-style: normal;
                    font-weight: normal;
                    font-size: 14px;
                    line-height: 21px;
                    /* identical to box height */

                    /* Text/Light */

                    color: #97a3b4;
                    cursor: pointer;
                }
            }
        }

        .main {
            margin-top: 26px;
            display: flex;
            width: 100%;
            .picture {
                width: 50%;
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;
                .header {
                    width: 100%;
                    display: flex;
                    align-items: center;
                    justify-content: space-between;
                    .logo {
                        height: 80px;
                        width: 80px;
                    }
                    .name_code {
                        display: flex;
                        flex-direction: column;
                        .name {
                            font-family: Kanit;
                            font-style: normal;
                            font-weight: 500;
                            font-size: 20px;
                            line-height: 30px;
                            /* identical to box height */

                            text-align: center;

                            color: #fbfbfb;
                        }

                        .code {
                            font-family: Kanit;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 14px;
                            line-height: 21px;
                            /* identical to box height */

                            text-align: center;

                            /* Text-Inactive */

                            color: #57586c;
                        }
                    }

                    .chip {
                        min-width: 61px;
                        height: 29px;
                        padding: 12px;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        background: #242731;
                        border-radius: 19px;
                        .text {
                            font-family: Kanit;
                            font-style: normal;
                            font-weight: 500;
                            font-size: 14px;
                            line-height: 21px;
                            /* identical to box height */

                            text-align: center;

                            /* Prinmary */

                            color: #ff36d3;
                        }
                    }
                }
                .content {
                    min-height: 310px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    padding-top: 20px;
                    img {
                        max-height: 310px;
                    }
                }
                .owner_chip {
                    background: #242731;
                    border-radius: 29px;
                    max-width: 201px;
                    height: 30px;
                    display: flex;
                    align-items: center;
                    padding: 20px;
                    margin-top: 50px;
                    .owner_text {
                        font-family: Kanit;
                        font-style: normal;
                        font-weight: 500;
                        font-size: 15px;
                        line-height: 22px;
                        letter-spacing: 0.05em;
                        margin-top: 3px;
                        text-transform: uppercase;

                        /* Text/Light */

                        color: #97a3b4;
                    }
                    .address {
                        font-family: Kanit;
                        font-style: normal;
                        font-weight: 500;
                        margin-left: 8px;
                        font-size: 18px;
                        line-height: 27px;
                        /* identical to box height */

                        /* Blue */

                        color: #2bd9ff;
                        display: inline-block;
                        width: 180px;
                        white-space: nowrap;
                        overflow: hidden !important;
                        text-overflow: ellipsis;
                    }
                }
            }

            .information {
                width: 50%;
                display: flex;
                justify-content: flex-end;
                .box {
                    width: 80%;
                    height: 100%;
                    display: flex;
                    flex-direction: column;
                    background: #242731;
                    border: solid 1px #003c2d;
                    .header {
                        width: 100%;
                        display: flex;
                        align-items: center;
                        justify-content: space-between;
                        padding: 24px;
                        padding-bottom: 0;
                        padding-top: 10px;

                        .currency {
                            display: flex;
                            flex-direction: column;
                            .currency_text {
                                font-family: Kanit;
                                font-style: normal;
                                font-weight: 500;
                                font-size: 14px;
                                line-height: 21px;
                                /* identical to box height */

                                /* WHITE */

                                color: #d8e2ea;
                            }
                            .price {
                                display: flex;
                                align-items: center;

                                .wol_price {
                                    font-family: Kanit;
                                    font-style: normal;
                                    font-weight: 500;
                                    font-size: 18px;
                                    line-height: 27px;
                                    /* identical to box height */

                                    /* Blue */

                                    color: #2bd9ff;
                                }

                                .bnb_price {
                                    font-family: Kanit;
                                    font-style: normal;
                                    font-weight: 300;
                                    font-size: 18px;
                                    line-height: 27px;
                                    /* identical to box height */

                                    /* Text-Inactive */

                                    color: #57586c;
                                }
                            }
                        }
                    }
                    .info {
                        display: flex;
                        width: 100%;
                        flex-direction: column;
                        padding-left: 24px;
                        padding-right: 24px;
                        padding-top: 40px;
                        padding-bottom: 40px;
                        .about_text {
                            font-family: Kanit;
                            font-style: normal;
                            font-weight: 500;
                            font-size: 13px;
                            line-height: 19px;
                            letter-spacing: 0.05em;
                            text-transform: uppercase;

                            /* Text/Light */

                            color: #97a3b4;
                        }
                        .about {
                            font-family: Kanit;
                            font-style: normal;
                            font-weight: 300;
                            font-size: 14px;
                            line-height: 21px;

                            /* WHITE */

                            color: #d8e2ea;
                            margin-top: 13px;
                        }

                        .property_text {
                            margin-top: 32px;
                            font-family: Kanit;
                            font-style: normal;
                            font-weight: 500;
                            font-size: 13px;
                            line-height: 19px;
                            letter-spacing: 0.05em;
                            text-transform: uppercase;

                            /* Text/Light */

                            color: #97a3b4;
                            margin-bottom: 26px;
                        }

                        .property_thumbnail {
                            width: 100%;
                            display: flex;
                            align-items: center;
                            // justify-content: space-between;
                            flex-wrap: wrap;
                            .item {
                                display: flex;
                                flex: 1;
                                .img {
                                    width: 32px;
                                    height: 32px;
                                    border-radius: 50%;
                                    background: #393d4e;
                                    img {
                                        width: 32px;
                                        height: 32px;
                                    }
                                }
                                .des {
                                    display: flex;
                                    margin-left: 13px;
                                    flex-direction: column;
                                    align-items: flex-start;
                                    .type_text {
                                        font-family: Kanit;
                                        font-style: normal;
                                        font-weight: 300;
                                        font-size: 11px;
                                        line-height: 16px;
                                        text-align: center;
                                        letter-spacing: 0.03em;
                                        text-transform: uppercase;

                                        /* Text/Light */

                                        color: #97a3b4;
                                    }
                                    .value {
                                        font-family: Kanit;
                                        font-style: normal;
                                        font-weight: 500;
                                        font-size: 14px;
                                        line-height: 21px;
                                        /* identical to box height */

                                        /* White-100 */

                                        color: #ffffff;
                                    }
                                }
                            }
                        }

                        .attributes_text {
                            margin-top: 32px;
                            font-family: Kanit;
                            font-style: normal;
                            font-weight: 500;
                            font-size: 13px;
                            line-height: 19px;
                            letter-spacing: 0.05em;
                            text-transform: uppercase;

                            /* Text/Light */

                            color: #97a3b4;
                            margin-bottom: 16px;
                            &.hidden {
                                margin-bottom: 0;
                            }
                        }
                    }
                }
            }
        }

        .transactions {
            display: flex;
            flex-direction: column;
            margin-top: 80px;
            .title_trans {
                display: flex;
                align-items: center;
                margin-bottom: 32px;
                .lineX {
                    width: 22px;
                    height: 4.04px;

                    background: #00e8b0;
                    transform: rotate(-90deg);
                }
                .trans_text {
                    margin-left: 13px;
                    font-family: Kanit;
                    font-style: normal;
                    font-weight: 500;
                    font-size: 24px;
                    line-height: 36px;
                    /* identical to box height */

                    color: #fbfbfb;
                }

                .type_select {
                    margin-left: 40px;
                    .form-select {
                        width: 128.24px;
                        height: 40px;
                        border-radius: 8px;
                    }
                }
            }
        }

        .viewmore {
            margin-top: 65px;
            display: flex;
            flex-direction: column;
            .title_view {
                display: flex;
                align-items: center;
                margin-bottom: 32px;
                .lineX {
                    width: 22px;
                    height: 4.04px;

                    background: #00e8b0;
                    transform: rotate(-90deg);
                }
                .view_text {
                    margin-left: 13px;
                    font-family: Kanit;
                    font-style: normal;
                    font-weight: 500;
                    font-size: 24px;
                    line-height: 36px;
                    /* identical to box height */

                    color: #fbfbfb;
                }
            }

            .card_area {
                display: flex;
                flex-wrap: wrap;
            }
        }
    }
}

.property-type {
    color: #97a3b4;
    font-weight: 300;
    font-size: 11px;
    text-transform: capitalize;
}
.property-name {
    color: var(--primary-font-white-color);
}

@media screen and (max-width: 1145px) {
    .detail_wrapper {
        .content {
            width: 95%;
        }
    }
}

@media screen and (max-width: 996px) {
    .detail_wrapper {
        .content {
            .main {
                flex-direction: column;
                align-items: center;
                .picture {
                    width: 80%;
                    margin-bottom: 30px;
                }

                .information {
                    width: 100%;
                    justify-content: center;
                }
            }
        }
    }
}

@media screen and (max-width: 730px) {
    .detail_wrapper {
        .content {
            .main {
                flex-direction: column;
                align-items: center;
                .picture {
                    width: 80%;
                    margin-bottom: 30px;
                }

                .information {
                    width: 100%;
                    justify-content: center;
                }
            }
            .viewmore {
                .card_area {
                    justify-content: center;
                    align-items: center;
                }
            }
        }
    }
}
